## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::ScanlineCompDivZ Struct Reference

Buffer values div Z. More...

`#include <csplugincommon/softshader/types.h>`

List of all members.

## Public Attributes

float | dIcdx
| 1/component delta
float | dIcdxLast
| 1/component delta, last span
float | Ic
| 1/component

## Detailed Description

Buffer values div Z.

Definition at line 147 of file types.h.

## Member Data Documentation

float CrystalSpace::SoftShader::ScanlineCompDivZ::dIcdx

| 1/component delta Definition at line 152 of file types.h.

float CrystalSpace::SoftShader::ScanlineCompDivZ::dIcdxLast

| 1/component delta, last span Definition at line 154 of file types.h.

float CrystalSpace::SoftShader::ScanlineCompDivZ::Ic

| 1/component Definition at line 150 of file types.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h